MagickCore: color-private.h File Reference

# color-private.h File Reference

`#include <magick/image.h>`
`#include <magick/color.h>`
`#include <magick/exception-private.h>`

Go to the source code of this file.

## Functions
static MagickBooleanType | IsColorEqual (const PixelPacket *p, const PixelPacket *q)
static IndexPacket | ConstrainColormapIndex (Image *image, const unsigned long index)
static MagickBooleanType | IsGray (const PixelPacket *pixel)
static MagickBooleanType | IsMagickColorEqual (const MagickPixelPacket *p, const MagickPixelPacket *q)
static MagickBooleanType | IsMagickGray (const MagickPixelPacket *pixel)
static MagickRealType | MagickPixelIntensity (const MagickPixelPacket *pixel)
static Quantum | MagickPixelIntensityToQuantum (const MagickPixelPacket *pixel)
static MagickRealType | MagickPixelLuminance (const MagickPixelPacket *pixel)
static MagickRealType | PixelIntensity (const PixelPacket *pixel)
static Quantum | PixelIntensityToQuantum (const PixelPacket *pixel)

## Function Documentation

static IndexPacket ConstrainColormapIndex | ( | Image * | image,
|  | const unsigned long | index |
| ) |  |  | `[inline, static]`

static MagickBooleanType IsColorEqual | ( | const PixelPacket * | p,
|  | const PixelPacket * | q |
| ) |  |  | `[inline, static]`

static MagickBooleanType IsGray | ( | const PixelPacket * | pixel | ) | `[inline, static]`

static MagickBooleanType IsMagickColorEqual | ( | const MagickPixelPacket * | p,
|  | const MagickPixelPacket * | q |
| ) |  |  | `[inline, static]`

static MagickBooleanType IsMagickGray | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static MagickRealType MagickPixelIntensity | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static Quantum MagickPixelIntensityToQuantum | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static MagickRealType MagickPixelLuminance | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static MagickRealType PixelIntensity | ( | const PixelPacket * | pixel | ) | `[inline, static]`

static Quantum PixelIntensityToQuantum | ( | const PixelPacket * | pixel | ) | `[inline, static]`